Bug 1198602 - [RFE] allow admin user to get floating IP's of all instances (irrespective of tenant/project) from admin console
Summary: [RFE] allow admin user to get floating IP's of all instances (irrespective of...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 5.0 (RHEL 6)
Hardware: All
OS: Linux
medium
medium
Target Milestone: beta
: 10.0 (Newton)
Assignee: Radomir Dopieralski
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks: 1394658
TreeView+ depends on / blocked
 
Reported: 2015-03-04 13:36 UTC by Pratik Pravin Bandarkar
Modified: 2020-05-14 14:57 UTC (History)
12 users (show)

Fixed In Version: python-django-horizon-10.0.0-0.20160907182334.aff061d.2.el7ost
Doc Type: Enhancement
Doc Text:
This enhancement allows the `admin` user to view a list of the floating IPs allocated to instances, using the admin console. This list spans all projects in the deployment. Previously, this information was only available from the command-line.
Clone Of:
Environment:
Last Closed: 2016-12-14 15:27:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 143628 None None None Never
Red Hat Knowledge Base (Solution) 1585553 None None None Never
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Pratik Pravin Bandarkar 2015-03-04 13:36:35 UTC
1. Proposed title of this feature request  
  (From horizon) allow admin user to get floating IP's of all instances (irrespective of tenant/project) from admin console 
  
 
3. What is the nature and description of the request?  
    (From horizon) allow admin user to get floating IP's of all instances (irrespective of tenant/project) from admin console. Currently, its possible to get the same details from CLI:
---
# nova list --all-tenants
---

Comment 5 Matthias Runge 2015-03-05 07:29:24 UTC
Registered blueprint for this: 
https://blueprints.launchpad.net/horizon/+spec/show-all-floating-ips

Usually, this requires detailed planning: Screen layout, test plan, function description etc.

Comment 6 Matthias Runge 2015-03-20 08:19:41 UTC
Feature freeze for Kilo has been reached, moving this to Liberty

Comment 7 Matthias Runge 2015-12-01 07:31:10 UTC
This feature was missed in Liberty, but there is some movement on this upstream, and even a patch up for review.

https://review.openstack.org/#/c/143628/  (patch)

and two attached blueprints: https://blueprints.launchpad.net/openstack/?searchtext=manage-ips

https://blueprints.launchpad.net/openstack/?searchtext=syspanel-floating-ip-list

Comment 8 Matthias Runge 2016-04-20 13:32:29 UTC
The feature missed Mitaka, but the submitter is still trying to land it.

Comment 9 Stephen Gordon 2016-06-09 18:51:04 UTC
Bulk update to reflect scope of Red Hat OpenStack Platform 9 and Red Hat OpenStack Platform does not include this issue (No pm_ack+).

Comment 10 RHEL Program Management 2016-08-02 11:37:36 UTC
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 14 Matthias Runge 2016-09-07 07:07:10 UTC
It looks like the change made it into Newton and it should be available for a newton based OpenStack release.

Comment 15 Jason E. Rist 2016-09-21 15:09:30 UTC
Can we get an update please Radomir?

Comment 16 Radomir Dopieralski 2016-09-21 15:41:46 UTC
It's merged, it should be available in our builds.

Comment 18 Ido Ovadia 2016-10-27 14:16:52 UTC
Verified
========
python-django-horizon-10.0.0-3.el7ost.noarch

Comment 20 errata-xmlrpc 2016-12-14 15:27:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.